# This file contains TCL script which parse the output of deconf utility and log it

# For this, rdreg command are taken
# It returns two parameters,
# 1. Return code
# 2. Output of the command. It will be in string format "<offset> : <reg data>" i.e, 0x00000000 : 0x00000000
# Second parameter will be parsed, offset and reg data values are separated out for logging

# Open the device
bcdevopen

puts "Command : bcrdreg 0"
set list [bcrdreg 0]
set rc [lindex $list 0]
set rs [lindex $list 1]

if {$rc == 0} {

	puts "Command successful!"

	puts "Address offset : [lindex $rs 0]"
	puts "Data : [lindex $rs 0]"
} else {

	puts "Command Failed!"
}

# Close the device
bcdevclose
