# This file contains deconf commands which output hardware/software information

puts "\n"

# Open the Device
bcdevopen

# 1. Display driver, library, FPGA and application version details
puts "Software version"
set result [bcgetver]
set status [lindex $result 0]
if {$status == 0} {
	puts "Command successful!"
} else {
	puts "Error!!!"
}
puts [lindex $result 1]
puts "\n"

# 3. Hardware adapter information
puts "Hardware adapter information"
set result [bchwinfo]
set status [lindex $result 0]
if {$status == 0} {
	puts "Command successful!"
} else {
	puts "Error!!!"
}
puts [lindex $result 1]
puts "\n"

# Close the device
bcdevclose
